/*
   This file is part of the IRC Bounce source code
   copyright (c) 1998 v00d00 Net Services
   and is distributed according to the GNU general public license.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   The author (Robert Clark) can be reached at: v00d00@hempseed.com

   This code is based on Irc Proxy (c)1997-98 James Seter
*/

#include "common.h"

void
show_license() {
   printf("This program is free software; you can redistribute it and/or modify\n");
   printf("it under the terms of the GNU General Public License as published by\n");
   printf("the Free Software Foundation; either version 2 of the License, or\n");
   printf("(at your option) any later version.\n\n");
   printf("This program is distributed in the hope that it will be useful,\n");
   printf("but WITHOUT ANY WARRANTY; without even the implied warranty of\n");
   printf("MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the\n");
   printf("GNU General Public License for more details.\n\n");
   printf("You should have received a copy of the GNU General Public License\n");
   printf("along with this program; if not, write to the Free Software\n");
   printf("Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\n");
}

void
show_help(char *ProgName) {
   printf("Usage: %s [ -c <filename> | -i | -f | -l | -v | -h ]\n\n",ProgName);
   printf("  -c : Specify an alternate config file to load\n");
   printf("  -i : Load (if possible) and save the configuration file\n");
   printf("  -f : Overwrite the configuration file with the default one\n");
   printf("  -l : Display the GNU General Public License\n");
   printf("  -v : Display version information\n");
   printf("  -h : This help screen\n\n");
   printf("Note: Using any of the above command line options results\n");
   printf("      in the bouncer exiting as soon as the specified\n");
   printf("      function is complete.\n\n");
}
